Create an incident and optionally link existing threats
cURL
curl --request POST \ --url https://api.intrace.ai/v1/incidents \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "title": "<string>", "description": "<string>", "scope": "aggregate", "threat_ids": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ] } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "status": "open", "scope": "investigation", "threat_links": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "threat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "added_at": "2023-11-07T05:31:56Z", "threat": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "severity": "<string>", "threat_type": "<string>", "location": "<string>", "observed_at": "<string>", "coordinates": { "lat": 123, "lng": 123 } } } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "description": "<string>", "started_at": "2023-11-07T05:31:56Z", "resolved_at": "2023-11-07T05:31:56Z" }
{ "title": "Port access disruption in Lagos", "description": "Multiple protest and road-closure threats affecting site access.", "scope": "aggregate", "threat_ids": [ "4f5d1cc9-d4cc-49a1-a3fc-5ec93d674bc8", "4e91fe4c-0f95-43a2-8a1c-b62cc12df5db" ] }
investigation
aggregate
Incident created.
open
closed
resolved
Show child attributes